# Get the price for creating a PG cloud database - GetUPgSQLInstancePrice

## Overview

Get the price for creating a PG cloud database






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `GetUPgSQLInstancePrice`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **MachineType** | string | Machine Configuration Type Reference 2C4G Machine: o.pgsql2m.medium |**Yes**|
| **DiskSpace** | int | Disk Space (GB) |**Yes**|
| **InstanceMode** | string | UDB instance mode type, optional values are as follows: "Normal": Standard version UDB instance "HA": High availability version UDB instance |**Yes**|
| **ChargeType** | string | Billing mode. Enumerated values are: Year, pay annually; Month, pay monthly; Dynamic, pay hourly (permission required). Default is monthly. |No|
| **Quantity** | int | Purchase duration. Default: 1. This parameter is not required when purchasing hourly (Dynamic). When paying monthly, pass this parameter as 0, which represents purchase until the end of the month. |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **PriceSet** | array[[*UPgSQLInstancePriceSet*](#upgsqlinstancepriceset)] | Price List |No|

#### Data Model


#### UPgSQLInstancePriceSet

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ChargeType** | string | Billing Type, Yearly, Monthly, Dynamic. |**Yes**|
| **Price** | float | Actual price, unit: Yuan, keep two decimal places valid. |**Yes**|
| **OriginalPrice** | float | Purchase at original price, unit: Yuan. |**Yes**|

## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=GetUPgSQLInstancePrice
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=sNOPuFhh
&ChargeType=ijAcdkHV
&Quantity=1
&MachineType=cMcdekRq
&DiskSpace=1
&MachineType=reLaNHli
&DiskSpace=2
&InstanceMode=IhlwCzcu
```

### Response Example
    
```json
{
  "Action": "GetUPgSQLInstancePriceResponse",
  "PriceSet": [
    {
      "ChargeType": "jUAzlxWQ",
      "OriginalPrice": 9.16887,
      "Price": 3.25771
    }
  ],
  "RetCode": 0
}
```





